Bug 146096 - request for rfc2640 support in default ftp server (UTF-8 support)
request for rfc2640 support in default ftp server (UTF-8 support)
Product: Fedora
Classification: Fedora
Component: vsftpd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-01-25 07:18 EST by Yijun Yuan
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-03 08:13:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yijun Yuan 2005-01-25 07:18:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
Request for rfc2640 support in default ftp server (UTF-8 support)

and does vsftpd support it already? Following statements in rfc2640, after sending "feat" to the server that supports rfc2640, it should return UTF-8 in its response, (so the client can decide server encoding?)

I set up a ftp server on my fc3 box and allow everyone to upload files. Some of the clients are linux while the others are windows. If a windows user uploads some files that contain Chinese characters in filenames, they cannot be seen by linux users, since encodings are different. Though the gftp client has the option of specifying server encodings, but it is not easy to use. So why don't include UTF-8 support in the server side?

Sorry for my English -- but someone is encouraging me.  :^)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. find a file with filename encoded in some charset other than UTF-8, e.g. try to use convmv to convert one; 
2. upload it to default ftp server; 
3. use lftp or gftp client to download it from the server.

Actual Results:  cannot access to the file, since I cannot input the garbled filename. 
Luckily, when I know the filename is encoded in chinese GB*, I can switch to that locale temporarily and choose terminal encodings in gnome-terminal menu
can I use copy and paste?

Expected Results:  I wonder if the server and client could co-operate and convert filenames to only one encoding, so both windows and linux users could use the same ftp directory?

Additional info:

Some ftp daemon offered this functionality, such as "Crob ftp server", "lightening", etc. but they are windows programs. too bad!
Comment 1 Radek Vokal 2005-02-03 08:13:44 EST
I see what you mean but I don't think it's a problem. Vsftpd doesn't
and won't change the enconding of file name. It stores filename in
given encoding and returns it in asked encoding (eg. it may appear
broken, but it's just wrong setting in client). Otherwise the files
won't be accessible for the users who uploaded this file from nonUTF
enviroment. I can't say how windows ftp servers are solving this
issue, I suggest to force everybody using UTF-8. 

Note You need to log in before you can comment on or make changes to this bug.